"use strict";
/* --------------------------------------------------------------------------------------------
 * Copyright (c) 2023 Savoir-faire Linux. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
Object.defineProperty(exports, "__esModule", { value: true });
exports.pathInfoToString = exports.scanContainsRecipes = exports.scanContainsData = void 0;
function scanContainsData(scanResult) {
    return scanResult._layers.length > 0 || scanResult._recipes.length > 0 || scanResult._workspaces.length > 0;
}
exports.scanContainsData = scanContainsData;
function scanContainsRecipes(scanResult) {
    return scanResult._layers.length > 0 || scanResult._recipes.length > 0;
}
exports.scanContainsRecipes = scanContainsRecipes;
function pathInfoToString(pathInfo) {
    return `${pathInfo.dir}/${pathInfo.base}`;
}
exports.pathInfoToString = pathInfoToString;
//# sourceMappingURL=BitbakeScanResult.js.map