/// <reference types="node" />
import { type Connection, type Disposable } from 'vscode-languageserver';
import { type BitbakeScanResult } from './lib/src/types/BitbakeScanResult';
import EventEmitter from 'events';
export declare class BitBakeProjectScannerClient {
    bitbakeScanResult: BitbakeScanResult;
    private connection;
    onChange: EventEmitter;
    setConnection(connection: Connection): void;
    buildHandlers(): Disposable[];
    private bitbakeScanHandler;
}
export declare const bitBakeProjectScannerClient: BitBakeProjectScannerClient;
